#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "DLL.ch"

#PRAGMA LIBRARY( "ascom10.lib" )                 // ActiveX Xbase++ v1.9.355
#PRAGMA LIBRARY( "XppUi2.lib" )                  // XbpQuickBrowse  v1.9.355
#pragma Library( "Adac20b.lib" )                 // XbpQuickBrowse  v1.9.355

PROCEDURE AppSys
RETURN

PROCEDURE MAIN
LOCAL nEvent, mp1, mp2, oXbp
LOCAL cTitle  := "Hello World"
LOCAL cFolder := ""
LOCAL aDir
LOCAL oDlg,oQB
LOCAL lExit := .F.

   cFolder := GetUNCPath( cTitle )

   IF !EMPTY(cFolder)
      aDir := Directory(cFolder+"\*.*")

      oDlg := XbpDialog():new( AppDesktop() ,, {0,0}, {1024,800} )
      oDlg:title := "Get Network Folder"
      oDlg:taskList := .T.
      oDlg:close := { || lExit := .T. }
      oDlg:create()
      CenterControl(oDlg)

      oQB := XbpQuickBrowse():new(oDlg:DrawingArea,,{0,0}, {800,600} )
      oQB:dataLink := DacPagedDataStore():new(aDir)
      oQB:itemSelected := {| aRowCol, uNIL, oSelf | MsgBox( cFolder+"\"+aDir[oSelf:Getdata()][1] ),       SetAppFocus(oQB) }

      oQB:create()
      CenterControl(oQB)

      Bring2Front("Get Network Folder")

      SetAppFocus(oDlg)
      SetAppFocus(oQB)

      DO WHILE !lExit
         nEvent := APPEVENT( @mp1, @mp2, @oXbp )
         DO CASE
            CASE nEvent == xbeP_Keyboard .AND. mp1 == xbeK_ESC
               EXIT
            OTHERWISE
               oXbp:HandleEvent( nEvent, mp1, mp2 )
         ENDCASE
      ENDDO
      oQB:Destroy()
      oDlg:Destroy()
  ENDIF
RETURN

PROCEDURE Bring2Front(cTitle)
LOCAL hWndDlg := DllCall("User32.dll",DLL_STDCALL,"FindWindowA",0,cTitle)
   IF !(hWndDlg == 0)
      DllCall("User32.dll",DLL_STDCALL,"SetForegroundWindow",hWndDlg)
      DllCall("User32.dll",DLL_STDCALL,"BringWindowToTop",hWndDlg)
      DllCall("User32.dll",DLL_STDCALL,"ShowWindow",hWndDlg,1)
      DllCall("User32.dll",DLL_STDCALL,"UpdateWindow",hWndDlg)
   ENDIF
RETURN


*
*
*
